Subject: RE: [SIP] Outbound call routing

From: "Jonathan Rosenberg" <[email-masked]>
Date: Mon, 2 Oct 2000 02:32:42 -0400

> -----Original Message-----
> From: Jo Hornsby [mailto:[email-masked]]
> Sent: Wednesday, September 27, 2000 10:43 AM
> To: Jonathan Rosenberg; [email-masked];
> [email-masked]
> Subject: RE: [SIP] Outbound call routing
>
>
> > Seems like general consensus that Route would be the right mechanism
> > here, no?
>
> The only problem I can see is where there is some need to end up
> at a UA on a specific port.
>
> For instance, I want to contact:
> sip:[email-masked]:8000
> and route through supersip.com, this means I would form the Route
> <sip:[email-masked]:8000;maddr=supersip.com>
> Normal processing rules would have a proxy try and resolve
> supersip.com using A records, and contact it on port 8000; this
> probably isn't going to work.

Since Route is serving a different purpose in this case than its normal
post-Record-Route function, you would not construct it the same way. I would
argue that the Route would look like:

Route: sip:[email-masked];maddr=supersip.com
Route: sip:[email-masked]:8000

i.e., no port in the initial Route. How would the UA know to do this? Same
as how it would know to use this Route in the first place - the
configuration piece we have not yet discussed.

-Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip